NXOpen .NET Reference  12.0.0
Public Types | Properties | List of all members
NXOpen.Mfg.AM.SupportBuilder Class Reference

Represents a Mfg.AM.Support builder More...

Inheritance diagram for NXOpen.Mfg.AM.SupportBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Types { Block, Line, Point, Nosupport }
 the AM support types More...
 

Properties

unsafe NXOpen.ScCollector CurveSelection [get]
 Returns the curve selection More...
 
unsafe NXOpen.ScCollector FaceSelection [get]
 Returns the face selection More...
 
unsafe NXOpen.Point PointSelection [get, set]
 Returns or sets the point selection More...
 
unsafe
NXOpen.Mfg.AM.SupportBuilder.Types 
Type [get, set]
 Returns or sets the type More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Detailed Description

Represents a Mfg.AM.Support builder

To create a new instance of this class, use NXOpen.Mfg.AM.ApplicationManager.GetSupportBuilder

Created in NX11.0.2

Member Enumeration Documentation

the AM support types

Enumerator
Block 
Line 
Point 
Nosupport 

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Mfg.AM.SupportBuilder.CurveSelection
get

Returns the curve selection

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Mfg.AM.SupportBuilder.FaceSelection
get

Returns the face selection

Created in NX11.0.2

License requirements: None.

unsafe NXOpen.Point NXOpen.Mfg.AM.SupportBuilder.PointSelection
getset

Returns or sets the point selection

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")

unsafe NXOpen.Mfg.AM.SupportBuilder.Types NXOpen.Mfg.AM.SupportBuilder.Type
getset

Returns or sets the type

Created in NX11.0.2

License requirements to get this property: None.

License requirements to set this property: am_pb_mtls_sg_2 ("Advanced NX Additive Support Geometry") OR am_pb_mtls_sg_1 ("Basic NX Additive Support Geometry")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.